# std::unique_lock::mutex

From cppreference.com
< cpp‎ | thread‎ | unique lock

mutex_type* mutex() const; |  | (since C++11)

Returns a pointer to the associated mutex, or a null pointer if there is no associated mutex.

### Parameters

(none)

### Return value

Pointer to the associated mutex or a null pointer if there is no associated mutex.

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/unique_lock/mutex&oldid=91740"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template